package com.emr.dao.his;

import com.emr.entity.his.HISBA1;
import com.emr.entity.his.HISBA2;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA2Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA2 record);

    int insertSelective(HISBA2 record);

    HISBA2 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA2 record);

    int updateByPrimaryKey(HISBA2 record);

    List<HISBA2> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);

    int SimpleInsert(@Param("list")List<HISBA2> list);

    int SimpleUpdate(@Param("list")List<HISBA2> list);

    int SimpleDelete(@Param("ids")String ids);
}